Skip to content
Developer Docs

Download document

GET
/flow/v1/operations/{operationUuid}/documents/{documentUuid}/content

Downloads document attached to a operation via efficient streaming.
Lets you retrieve large PDFs or attachments without loading the entire file into memory.

Authorizations

OAuth2

OAuth2 security scheme

clientCredentials Flow
Token URL"/api/v2/auth/token"
Scopes:
  • "zertiban-api"Access to the API

Parameters

Header Parameters

x-tenant-id*

Tenant identifier that contains the business UUID

Type
string
Required

Path Parameters

operationUuid*

UUID of the operation

Type
string
Required
Format
"uuid"
documentUuid*

UUID of the document

Type
string
Required
Format
"uuid"

Responses

Document successfully retrieved and streaming.
The response body contains the raw binary content of the document.
Headers:

  • Content-Type: Specific MIME type of the document "application/octet-stream"
  • Content-Length: Total size of the document in bytes (if known)
  • Transfer-Encoding: "chunked" for streaming
application/octet-stream

Playground

Authorization
Headers
Variables
Key
Value

Samples